
function supportRoboTank() {  // 
        $('#popupBackground').show();  // grey out background
        $('.ds18b20Popup-body').empty();
        ds18b20Popup.style.display = "block";
        document.querySelector("body").style.overflow = 'hidden';
        $('.ds18b20PopupHeader').empty();
        $(".ds18b20PopupHeader").append("Support Robo-Tank");

        $('.ds18b20Popup-body').empty();
        $(".ds18b20Popup-body").append(
            '</br><p style="text-align: center;">This is 100% optional, you have already supported Robo-Tank through your purchase and I greatly appreciate it!</p>\
            <p style="text-align: center;">A little extra support here and there goes a long way and allows me to continually update and improve Robo-Tank.</p>\
            <p style="text-align: center;">Donate through Paypal or Bitcoin, one time or recurring and again this is not in any way necessary.</p>\
            <br>\
            <div class="container subColumnBox">\
                <div class="row ">\
                    <form class="col-sm-4 subColumn" action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">\
                        <h3>Monthly Support</h3>\
                        <img style="padding-bottom: 15px;" src="images/icons/paypal.png" alt="PayPal">\
                        <input type="hidden" name="cmd" value="_s-xclick">\
                        <input type="hidden" name="hosted_button_id" value="BEKHYNEGACEZJ">\
                        <table>\
                            <br><b>Select Monthly Amount</b><br>\
                            <select style="margin-bottom: 20px; margin-top: 3px; width: 130px;" name="os0">\
                                <option value="Level 1">$3.00 USD</option>\
                                <option value="Level 2">$5.00 USD</option>\
                                <option value="Level 3">$10.00 USD</option>\
                                <option value="Level 4">$15.00 USD</option>\
                                <option value="Level 5">$20.00 USD</option>\
                                <option value="Level 6">$25.00 USD</option>\
                                <option value="Level 7">$30.00 USD</option>\
                                <option value="Level 8">$40.00 USD</option>\
                                <option value="Level 9">$50.00 USD</option>\
                                <option value="Level 10">$75.00 USD</option>\
                            </select>\
                        </table>\
                        <input type="hidden" name="currency_code" value="USD">\
                        <input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_subscribeCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">\
                        <img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">\
                    </form>\
                    <form class="col-sm-4 subColumn" action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">\
                        <h3>One Time Support</h3>\
                        <img style="padding-bottom: 15px;" src="images/icons/paypal.png" alt="PayPal">\
                        <input type="hidden" name="cmd" value="_s-xclick">\
                        <input type="hidden" name="hosted_button_id" value="YXYWYBG3ZCTZC">\
                        <table>\
                            <br><b>Select One Time Amount</b><br>\
                            <select style="margin-bottom: 20px; margin-top: 3px; width: 130px;" name="os0">\
                                <option value="One Time1 -">$5.00 USD</option>\
                                <option value="One Time2 -">$15.00 USD</option>\
                                <option value="One Time3 -">$25.00 USD</option>\
                                <option value="One Time4 -">$40.00 USD</option>\
                                <option value="One Time5 -">$60.00 USD</option>\
                                <option value="One Time6 -">$80.00 USD</option>\
                                <option value="One Time7 -">$100.00 USD</option>\
                                <option value="One Time8 -">$150.00 USD</option>\
                                <option value="One Time9 -">$200.00 USD</option>\
                                <option value="One Time10 -">$250.00 USD</option>\
                            </select>\
                        </table>\
                        <input type="hidden" name="currency_code" value="USD">\
                        <input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_buynowCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">\
                        <img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">\
                    </form>\
                    <div class="col-sm-3 subColumn">\
                        <h3>One Time Support</h3>\
                        <img style="padding: 0px 10px 19px 10px;" src="images/icons/bitcoin_logo.jpg" alt="Bitcoin">\
                        <img src="images/icons/17SFZnKsd3BDaYxokS42LCyADhX7iZpq1E.png" alt="Bitcoin">\
                    </div>\
                </div>\
            </div>\
            <div style="margin-top:-15px; text-align:center; width:100%;">Contact me for other cryptocurrencies.</div>\
            <div class="widgetButtonBox">\
                <button class="button _wide" type="button" onclick="closeDs18b20Popup()">Close</button>\
            </div>\
            <p>&nbsp;</p>');
}

function settingsSystem() {  // system settings page
    printHeaderTitle("SYSTEM SETTINGS", "settings2.png", "#ff7800");  // name and file
    removeFooter();
    displayScreen = 8;
    
    document.getElementById('content').innerHTML +=
        "<div class='cleanScreen' id='cleanScreen'>\
            <div class='settingsContainer' id='settingsContainer'></div>\
            <div class='widgetButtonBox'>\
                <button class='button _wide' style='margin-top:40px;' type='button' onclick='restartControllerConfirm()'>Restart Controller</button>\
                <button class='button _48 back_48' style='margin-top:40px;' type='button' onclick='viewSettingsMenu()'></button>\
                <button class='button _48 home_48' style='margin-top:40px;' type='button' onclick='loadLayout()'></button>\
            </div>\
            <div class='settingsContainer supportLink' id='' onclick='supportRoboTank()'>Love Robo-Tank and want to support it further?</div>\
        </div>";

    document.getElementById('settingsContainer').innerHTML +=
        '<div class="systemSettingBox" style="height:80px;">\
            <div class="systemSettingBoxLabel">Support ID</div>\
            <div class="control-group">\
                <input class="field" style="min-width:175px; padding:3px 3px;" type="text" id="supportID" value="' + supportID + '" readOnly>\
            </div>\
        </div>\
        <div class="systemSettingBox">\
            <div class="systemSettingBoxLabel">Temperature</div>\
            <div class="control-group">\
                <label class="control control-radio">\
                    Celsius\
                        <input type="radio" name="temperature" id="celsius" class="celsius" onclick="updateTempCorF(0)" />\
                    <div class="control_indicator"></div>\
                </label>\
                <label class="control control-radio">\
                    Fahrenheit\
                        <input type="radio" name="temperature" id="fahrenheit" class="fahrenheit" onclick="updateTempCorF(1)" />\
                    <div class="control_indicator"></div>\
                </label>\
            </div>\
        </div>\
        <div class="systemSettingBox">\
            <div class="systemSettingBoxLabel">Time Format</div>\
            <div class="control-group">\
                <label class="control control-radio">\
                    12 Hour\
                        <input type="radio" name="time" id="12hour" class="12hour" onclick="updateTimeFormat(1)" />\
                    <div class="control_indicator"></div>\
                </label>\
                <label class="control control-radio">\
                    24 Hour\
                        <input type="radio" name="time" id="24hour" class="24hour" onclick="updateTimeFormat(0)" />\
                    <div class="control_indicator"></div>\
                </label>\
            </div>\
        </div>\
        <div class="systemSettingBox" id="autoUpdateBox" style="height:195px;"></div>';

  

    // mark tempCorF radio button active
    if (tempCorF == 0) {
        document.getElementById("celsius").checked = true;  // mark radio button checked
    }
    else if (tempCorF == 1) {
        document.getElementById("fahrenheit").checked = true;  // mark radio button checked
    }

    // mark timeFormat radio button active
    if (timeFormat == 0) {
        document.getElementById("24hour").checked = true;  // mark radio button checked
    }
    else if (timeFormat == 1) {
        document.getElementById("12hour").checked = true;  // mark radio button checked
    }

    // mark autoUpdate radio button active
    if (autoUpdate == 0) {
        document.getElementById("autoUpdateBox").innerHTML =  // mark radio button checked
            `<div class="systemSettingBoxLabel">Auto Update</div>\
            <div class="control-group">\
                <label class="control control-radio">\
                    On\
                        <input type="radio" name="autoUpdate" id="updateOn" class="updateOn" onclick="updateAutoUpdate(1)" />\
                    <div class="control_indicator"></div>\
                </label>\
                <label class="control control-radio">\
                    Off\
                        <input type="radio" name="autoUpdate" id="updateOff" class="updateOff" onclick="updateAutoUpdate(0)" />\
                    <div class="control_indicator"></div>\
                </label>\
                <p style="margin-top:17px"><b>Running Version </b>` + appVersion + `</p>\
            </div>\
            <button class='button _wide' id='manualUpdateButton' style='width:175px; margin:20px 0px 15px 0px;' type='button' onclick='manualUpdate()'>Check for Update</button>`;
        document.getElementById("updateOff").checked = true;  // mark radio button checked
        document.getElementById('autoUpdateBox').style.height = "195px";
    }
    else if (autoUpdate == 1) {
        document.getElementById("autoUpdateBox").innerHTML =  // mark radio button checked
            `<div class="systemSettingBoxLabel">Auto Update</div>\
            <div class="control-group">\
                <label class="control control-radio">\
                    On\
                        <input type="radio" name="autoUpdate" id="updateOn" class="updateOn" onclick="updateAutoUpdate(1)" />\
                    <div class="control_indicator"></div>\
                </label>\
                <label class="control control-radio">\
                    Off\
                        <input type="radio" name="autoUpdate" id="updateOff" class="updateOff" onclick="updateAutoUpdate(0)" />\
                    <div class="control_indicator"></div>\
                </label>\
                <p style="margin-top:17px"><b>Running Version </b>` + appVersion + `</p>\
            </div>`;
        document.getElementById("updateOn").checked = true;  // mark radio button checked
        document.getElementById('autoUpdateBox').style.height = "138px";
    }

    // updateTempCorF(tempCorF);  // load radio button on system settings page
    // updateTimeFormat(timeFormat);  // load radio button on system settings page

    // add touch commands for buttons and links
    // $('.back').click(function() { settingsMainMenu(); })
    // $('.exit').click(function() { $('#popupBackground').hide(); $('#settingsPopup').hide(); document.querySelector("body").style.overflow = 'visible';})
    // $('.celsius').click(function() { updateTempCorF(0); })
    // $('.fahrenheit').click(function() { updateTempCorF(1); })
    // $('.12hour').click(function() { updateTimeFormat(1); })
    // $('.24hour').click(function() { updateTimeFormat(0); })
}

function updateTempCorF(value) {  // update if temperature is celsius or fahrenheit
    // console.log('updateTempCorF');
    // console.log(board);
    if ((enableButtonPressed == 0) && (tempCorF != value)) {  // add 1000ms delay after button is pressed
        var command = "3," + value;
        sendToBackend(command);  // send slider value to backend

        tempCorF = value;  // store board type

        if (tempCorF == 0) {
            // $("#celsius").prop("checked", true);  // mark radio button checked
            document.getElementById("fahrenheit").disabled = true;
            document.getElementById("celsius").checked = true;
        }
        else if (tempCorF == 1) {
            // $("#fahrenheit").prop("checked", true);  // mark radio button checked
            document.getElementById("celsius").disabled = true;
            document.getElementById("fahrenheit").checked = true;
        }
        enableButtonPressed = 1;
        setTimeout(function(){enableButtonPressed = 0; document.getElementById("fahrenheit").disabled = false; document.getElementById("celsius").disabled = false;},1000);  // button can't be pressed again for 500 millis
    }
}

function updateTimeFormat(value) {  // update if temperature is celsius or fahrenheit
    // console.log('updateTimeFormat');
    // console.log(board);
    if ((enableButtonPressed == 0) && (timeFormat != value)) {  // add 1000ms delay after button is pressed
        var command = "5," + value;
        sendToBackend(command);  // send slider value to backend

        timeFormat = value;  // store board type

        if (timeFormat == 0) {
            document.getElementById("12hour").disabled = true;
            document.getElementById("24hour").checked = true;
        }
        else if (timeFormat == 1) {
            document.getElementById("24hour").disabled = true;
            document.getElementById("12hour").checked = true;
        }
        enableButtonPressed = 1;
        setTimeout(function(){enableButtonPressed = 0; document.getElementById("12hour").disabled = false; document.getElementById("24hour").disabled = false;},1000);  // button can't be pressed again for 500 millis
    }
}

function updateAutoUpdate(value) {  // update if temperature is celsius or fahrenheit
    // console.log('updateAutoUpdate');
    // console.log(value);
    if ((enableButtonPressed == 0) && (autoUpdate != value)) {  // add 1000ms delay after button is pressed
        var command = "993," + value;
        sendToBackend(command);  // send command to backend

        autoUpdate = value;

        if (autoUpdate == 0) {
            document.getElementById("autoUpdateBox").innerHTML =  // mark radio button checked
                `<div class="systemSettingBoxLabel">Auto Update</div>\
                <div class="control-group">\
                    <label class="control control-radio">\
                        On\
                            <input type="radio" name="autoUpdate" id="updateOn" class="updateOn" onclick="updateAutoUpdate(1)" />\
                        <div class="control_indicator"></div>\
                    </label>\
                    <label class="control control-radio">\
                        Off\
                            <input type="radio" name="autoUpdate" id="updateOff" class="updateOff" onclick="updateAutoUpdate(0)" />\
                        <div class="control_indicator"></div>\
                    </label>\
                    <p style="margin-top:17px"><b>Running Version </b>` + appVersion + `</p>\
                </div>\
                <button class='button _wide' id='manualUpdateButton' style='width:175px; margin:20px 0px 15px 0px;' type='button' onclick='manualUpdate()'>Check for Update</button>`;

            document.getElementById("updateOn").disabled = true;
            document.getElementById("updateOff").checked = true;
            document.getElementById('autoUpdateBox').style.height = "195px";
        }
        else if (autoUpdate == 1) {
            document.getElementById("autoUpdateBox").innerHTML =  // mark radio button checked
                `<div class="systemSettingBoxLabel">Auto Update</div>\
                <div class="control-group">\
                    <label class="control control-radio">\
                        On\
                            <input type="radio" name="autoUpdate" id="updateOn" class="updateOn" onclick="updateAutoUpdate(1)" />\
                        <div class="control_indicator"></div>\
                    </label>\
                    <label class="control control-radio">\
                        Off\
                            <input type="radio" name="autoUpdate" id="updateOff" class="updateOff" onclick="updateAutoUpdate(0)" />\
                        <div class="control_indicator"></div>\
                    </label>\
                </div>\
                <p style="margin-top:17px"><b>Running Version </b>` + appVersion + `</p>`;

            document.getElementById("updateOff").disabled = true;
            document.getElementById("updateOn").checked = true;
            document.getElementById('autoUpdateBox').style.height = "138px";
        }
        enableButtonPressed = 1;
        setTimeout(function(){enableButtonPressed = 0; document.getElementById("updateOn").disabled = false; document.getElementById("updateOff").disabled = false;},1000);  // button can't be pressed again for 500 millis
    }
}

function updateBoardType_OLD(value) {  // update the type of controller board being used
    // console.log('updateBoardType');
    // console.log(board);
    if ((enableButtonPressed == 0) && (boardType != value)) {  // add 1000ms delay after button is pressed
        $.ajax({  // update database with controller board type being used
            url: "/php/updateBoardType.php",
            method: "GET",
            cache: false,
            data: {"v": value },
            success: function(dataWindow) {
                console.log('updateBoardType Completed ------------------');
            },
            error: function(dataWindow) {
                console.log(dataWindow);
                console.log('updateBoardType error');
            }
        });

        boardType = value;  // store board type
        if (boardType == 1) {
            document.getElementById("type2").disabled = true;
            document.getElementById("type1").checked = true;  // mark radio button checked
        }
        else if (boardType == 2) {
            document.getElementById("type1").disabled = true;
            document.getElementById("type2").checked = true;  // mark radio button checked
        }

        enableButtonPressed = 1;
        setTimeout(function(){enableButtonPressed = 0; document.getElementById("type1").disabled = false; document.getElementById("type2").disabled = false;},1000);  // button can't be pressed again for 500 millis
    }
}